#include "HT16515.h"

// HT16515(CLK, CS, MOSI, MISO)
HT16515 vfd(9, 8, 7, 6);

void setup() {
  Serial.begin(9600);
  vfd.init(7); // maximum intensity

  vfd.FV865ND_setIcon(FV865ND_RCLOCK);
  vfd.writeStr("HELLOVFD"); // sends data to controller

  delay(1000);
  vfd.FV865ND_setIcon(FV865ND_RCLOCK, false); // turn off icon
  vfd.writeStr("TEST    ");

  vfd.FV865ND_setSeparator(FV865ND_SEP43);
  vfd.FV865ND_setIcon(FV865ND_PLAY);
  vfd.writeBuffer(); // required after the above to send data to controller
}

void loop() {
  vfd.FV865ND_setIcon(FV865ND_REC, true);
  vfd.writeNum(millis() / 1000, 10, 0);
  delay(500);
  vfd.FV865ND_setIcon(FV865ND_REC, false);
  vfd.writeBuffer();
  delay(500);

  byte k = vfd.getComagPushbuttons();
  if (k)
    vfd.FV865ND_setIcon(FV865ND_KEY, true);
  else
    vfd.FV865ND_setIcon(FV865ND_KEY, false);
}
